### Class

# Foundry Gir

#### Description [src]

    final class Foundry.Gir : GObject.Object
    {
      /* No available fields */
    }

Represents a GObject Introspection Repository (GIR) file.

FoundryGir provides functionality for parsing and accessing GIR files which contain metadata about GObject-based libraries. It enables introspection of library APIs and provides information about classes, functions, and other symbols for development tools and documentation generation.

#### Ancestors

- GObject

#### Constructors

###### foundry_gir_new

Parses `file` to create a new in-memory representation as a `FoundryGir`.

since: 1.1

###### foundry_gir_new_for_path

No description available.

since: 1.1

#### Functions

###### foundry_gir_error_quark

No description available.

#### Instance methods

###### foundry_gir_get_file

No description available.

since: 1.1

###### foundry_gir_get_namespace

No description available.

since: 1.1

###### foundry_gir_get_repository

No description available.

since: 1.1

###### foundry_gir_list_namespaces

No description available.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGirClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.